PharFileInfo::getPharFlags
PharFileInfo::isCRCChecked
PharFileInfo
PHP Manual

# PharFileInfo::hasMetadata

(PECL phar:1.2.0-1.2.1)

PharFileInfo::hasMetadata — Returns the metadata of the entry

### Description

int PharFileInfo::hasMetadata ( void )

Returns the metadata of a file within a phar archive.

### Parameters

No parameters.

### Return Values

Returns `FALSE` if no metadata is set or is `NULL`, `TRUE` if metadata is not `NULL`

### See Also

- PharFileInfo::setMetadata()
- PharFileInfo::getMetadata()
- PharFileInfo::delMetadata()
- Phar::setMetadata()
- Phar::hasMetadata()
- Phar::getMetadata()

PharFileInfo::getPharFlags
PharFileInfo::isCRCChecked
PharFileInfo
PHP Manual